org.apache.ode.jbi

## Class BaseMessageExchangeProcessor

- java.lang.Object
- - org.apache.ode.jbi.BaseMessageExchangeProcessor

- All Implemented Interfaces:
    JbiMessageExchangeProcessor
  Direct Known Subclasses:
    DynamicMessageExchangeProcessor

      public abstract class BaseMessageExchangeProcessor
      extends java.lang.Object
      implements JbiMessageExchangeProcessor

  Base message exchange processor; handles common JBI message exchange conditions and delegates actual invocation to subclass.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseMessageExchangeProcessor(javax.jbi.messaging.DeliveryChannel channel)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `invoke(javax.jbi.messaging.InOnly mex)` Invoke with an In-Only message exchange pattern.
    `abstract javax.jbi.messaging.NormalizedMessage` | `invoke(javax.jbi.messaging.InOut mex)` Invoke with an In-Out message exchange pattern.
    `void` | `onJbiMessageExchange(javax.jbi.messaging.MessageExchange jbiMex)` Handle the JBI message exchange

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseMessageExchangeProcessor

          public BaseMessageExchangeProcessor(javax.jbi.messaging.DeliveryChannel channel)

  - ### Method Detail

    - #### onJbiMessageExchange

          public void onJbiMessageExchange(javax.jbi.messaging.MessageExchange jbiMex)
                                    throws javax.jbi.messaging.MessagingException

      Handle the JBI message exchange
      Specified by:
        `onJbiMessageExchange` in interface `JbiMessageExchangeProcessor`
      Throws:
        `javax.jbi.messaging.MessagingException`

    - #### invoke

          public abstract javax.jbi.messaging.NormalizedMessage invoke(javax.jbi.messaging.InOut mex)
                                                                throws javax.jbi.messaging.MessagingException

      Invoke with an In-Out message exchange pattern.
      Throws:
        `javax.jbi.messaging.MessagingException`

    - #### invoke

          public abstract void invoke(javax.jbi.messaging.InOnly mex)
                               throws javax.jbi.messaging.MessagingException

      Invoke with an In-Only message exchange pattern.
      Throws:
        `javax.jbi.messaging.MessagingException`